Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.set
Class SynchronizedSet

    java.lang.Object
      org.apache.commons.collections.collection.SynchronizedCollection
          org.apache.commons.collections.set.SynchronizedSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set

    public class SynchronizedSet

extends SynchronizedCollection
implements java.util.Set

Decorates another `Set` to synchronize its behaviour for a multi-threaded environment.

Methods are synchronized, then forwarded to the decorated set.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.SynchronizedCollection
`collection, lock`

Constructor Summary
`protected` | `SynchronizedSet(java.util.Set set)` Constructor that wraps (not copies).
`protected` | `SynchronizedSet(java.util.Set set, java.lang.Object lock)` Constructor that wraps (not copies).

Method Summary
`static java.util.Set` | `decorate(java.util.Set set)` Factory method to create a synchronized set.
`protected java.util.Set` | `getSet()` Gets the decorated set.

Methods inherited from class org.apache.commons.collections.collection.SynchronizedCollection
`add, addAll, clear, contains, containsAll, decorate, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### SynchronizedSet

    protected SynchronizedSet(java.util.Set set)

  Constructor that wraps (not copies).

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set is null

### SynchronizedSet

    protected SynchronizedSet(java.util.Set set,
                              java.lang.Object lock)

  Constructor that wraps (not copies).

  Parameters:
    `set` - the set to decorate, must not be null
    `lock` - the lock object to use, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set is null

Method Detail

### decorate

    public static java.util.Set decorate(java.util.Set set)

  Factory method to create a synchronized set.

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set is null

### getSet

    protected java.util.Set getSet()

  Gets the decorated set.

  Returns:
    the decorated set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.